from abc import ABC, abstractmethod


class DisnetObject(ABC):
    """Parent for the different DISNET objects"""

    def __init__(self, id:(str, int)):
        self.__id = id

    def getId(self)->(str,int):
        """Return the id of the Object"""
        return self.__id

    def __str__(self)->str:
        """overrides the method for custom representation"""
        return self.info()

    def __repr__(self)->str:
        """overrides the method for custom representation"""
        return str(self)

    @abstractmethod
    def info(self):
        """Each child must implement its representation"""
        pass



