import DISNET.objects.DisnetObject as DisnetObject


class GeneObject(DisnetObject.DisnetObject):
    """Class to instance objects of type Gene"""

    def __init__(self, id: (str, int), name: str, symbol: str):
        DisnetObject.DisnetObject.__init__(self, id)
        self.__name = name
        self.__symbol = symbol

    def getName(self) -> str:
        """Returns the name of the Gene"""
        return self.__name

    def getSymbol(self) -> str:
        """Returns the symbol of the Gene"""
        return self.__symbol

    def info(self) -> str:
        """Returns the information of the Gene as a string"""
        return "GeneObject: [name: " + self.__name + ", id: " + str(self.getId()) + ", symbol: " + \
               str(self.__symbol) + "]"

    def __eq__(self, other) -> bool:
        """Equals to other Gene"""
        if isinstance(other, GeneObject):
            equalName = self.__name == other.getName()
            equalID = self.getId() == other.getId()
            equalSymbol = self.__symbol == other.getSymbol()

            return equalID and equalName and equalSymbol
        else:
            return False
