import DISNET.objects.DisnetObject as DisnetObject


class PhenotypeObject(DisnetObject.DisnetObject):
    """Class to instance objects of type Phenotype"""

    def __init__(self, id: (str, int), name: str):
        DisnetObject.DisnetObject.__init__(self, id)
        self.__name = name

    def getName(self) -> str:
        """Returns the name of the Phenotype"""
        return self.__name

    def info(self) -> str:
        """Returns the information of the Phenotype as a string"""
        return "PhenotypeObject: [name: " + self.__name + ", id: " + self.getId() + "]"

    def __eq__(self, other) -> bool:
        """Equals to other Phenotype"""
        if isinstance(other, PhenotypeObject):
            equalName = self.__name == other.getName()
            equalID = self.getId() == other.getId()

            return equalID and equalName
        else:
            return False
